com.fasterxml.jackson.databind.util

## Class StdConverter<IN,OUT>

- java.lang.Object
- - com.fasterxml.jackson.databind.util.StdConverter<IN,OUT>

All Implemented Interfaces:
  Converter<IN,OUT>

    public abstract class StdConverter<IN,OUT>
    extends Object
    implements Converter<IN,OUT>

Standard implementation of `Converter` that supports explicit type access, instead of relying type detection of generic type parameters.

Since:
  2.2

### Nested Class Summary

### Nested classes/interfaces inherited from interface com.fasterxml.jackson.databind.util.Converter

`Converter.None`

### Constructor Summary

Constructors
Constructor and Description
`StdConverter()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`protected JavaType` `_findConverterType(TypeFactory tf)`
`abstract OUT` `convert(IN value)` Main conversion method.
`JavaType` `getInputType(TypeFactory typeFactory)` Method that can be used to find out actual input (source) type; this usually can be determined from type parameters, but may need to be implemented differently from programmatically defined converters (which cannot change static type parameter bindings).
`JavaType` `getOutputType(TypeFactory typeFactory)` Method that can be used to find out actual output (target) type; this usually can be determined from type parameters, but may need to be implemented differently from programmatically defined converters (which cannot change static type parameter bindings).

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface com.fasterxml.jackson.databind.util.Converter

`convert, convert`

### Constructor Detail

#### StdConverter

    public StdConverter()

### Method Detail

#### convert

    public abstract OUT convert(IN value)

Description copied from interface: `Converter`
Main conversion method.

Specified by:
  `convert` in interface `Converter<IN,OUT>`

#### getInputType

    public JavaType getInputType(TypeFactory typeFactory)

Description copied from interface: `Converter`
Method that can be used to find out actual input (source) type; this usually can be determined from type parameters, but may need to be implemented differently from programmatically defined converters (which cannot change static type parameter bindings).

Specified by:
  `getInputType` in interface `Converter<IN,OUT>`

#### getOutputType

    public JavaType getOutputType(TypeFactory typeFactory)

Description copied from interface: `Converter`
Method that can be used to find out actual output (target) type; this usually can be determined from type parameters, but may need to be implemented differently from programmatically defined converters (which cannot change static type parameter bindings).

Specified by:
  `getOutputType` in interface `Converter<IN,OUT>`

#### _findConverterType

    protected JavaType _findConverterType(TypeFactory tf)